org.aspectj.lang.reflect

## Interface MethodSignature

All Superinterfaces:
  CodeSignature, MemberSignature, Signature

    public interface MethodSignature
    extends CodeSignature

### Method Summary

Methods
`java.lang.reflect.Method` `getMethod()`
`java.lang.Class` `getReturnType()`

### Methods inherited from interface org.aspectj.lang.reflect.CodeSignature

`getExceptionTypes, getParameterNames, getParameterTypes`

### Methods inherited from interface org.aspectj.lang.Signature

`getDeclaringType, getDeclaringTypeName, getModifiers, getName, toLongString, toShortString, toString`

### Method Detail

#### getReturnType

    java.lang.Class getReturnType()

#### getMethod

    java.lang.reflect.Method getMethod()